%define _unpackaged_files_terminate_build 1

%define theme_name school
%define theme_fullname lxde-settings-%theme_name

Name: %theme_fullname
Version: 0.1
Release: alt0.M51.10
Packager: Radik Usupov <radik@altlinux.org>
BuildArch: noarch
Summary: Provides configuration for ALT Linux School New Lite
Provides: lxde-settings
Group: Graphical desktop/Other
License: %gpl2plus

BuildPreReq: rpm-build-licenses

## components used in this theme
Requires: fonts-ttf-dejavu
Requires: icon-theme-mist
Requires: gtk2-theme-simplicity
Requires: x-cursor-theme-Bluecurve
Requires: lxde-common
Requires: termit
Requires: tray_eject_plus
Requires: librsvg

Source: lxde.tar.bz2

%description
Default graphics theme for LXDE in ALT Linux School New Lite

%install
mkdir -p %buildroot/%_datadir
tar xvf %SOURCE0 -C %buildroot/%_datadir
mv %buildroot/%_datadir/lxde %buildroot/%_datadir/%theme_fullname

mkdir -p %buildroot/etc/alternatives/packages.d/
cat > %buildroot/etc/alternatives/packages.d/%theme_fullname << __EOF__
%_datadir/lxde %_datadir/%theme_fullname 10
__EOF__

%post
AUTOSTART=/etc/xdg/lxsession/LXDE/autostart
TMPFILE=`mktemp -t lxde-settings.postinst.XXXXXX`
grep -v "@tray_eject_plus" "$AUTOSTART" > "$TMPFILE"
echo "@tray_eject_plus" >> "$TMPFILE"
cat "$TMPFILE" > "$AUTOSTART"
rm -f "$TMPFILE"
DESKDIR="/usr/share/applications/"
for dfile in uxterm xterm xkill
do
    if [ -f "$DESKDIR"/"$dfile".desktop ]
    then
	echo "Hidden=true" >> "$DESKDIR"/"$dfile".desktop
    else
	echo "Warning: $DESKDIR/$dfile.desktop not exist"
    fi
done

%postun
AUTOSTART=/etc/xdg/lxsession/LXDE/autostart
TMPFILE=`mktemp -t lxde-settings.postinst.XXXXXX`
grep -v "@tray_eject_plus" "$AUTOSTART" > "$TMPFILE"
cat "$TMPFILE" > "$AUTOSTART"
DESKDIR="/usr/share/applications/"
for dfile in uxterm xterm xkill
do
    if [ -f "$DESKDIR"/"$dfile".desktop ]
    then
	grep -v "Hidden=true" "$DESKDIR"/"$dfile".desktop > "$TMPFILE"
	cat "$TMPFILE" > "$DESKDIR"/"$dfile".desktop
    fi
done
rm -f "$TMPFILE"

%files 
%config /etc/alternatives/packages.d/%theme_fullname
%_datadir/%theme_fullname

%changelog
* Fri Jan 14 2011 Radik Usupov <radik@altlinux.org> 0.1-alt0.M51.10
- Build from branch 5.1

* Fri Jan 14 2011 Radik Usupov <radik@altlinux.org> 0.1-alt10
- Changes font requires

* Wed Dec 29 2010 Radik Usupov <radik@altlinux.org> 0.1-alt9
- Added requires
- Added apps configs
- Change fonts

* Tue Dec 21 2010 Radik Usupov <radik@altlinux.org> 0.1-alt8
- Added requires
- Change menu icons
- Change summary

* Tue Dec 14 2010 Radik Usupov <radik@altlinux.org> 0.1-alt7
- Fix spec from termit

* Tue Dec 14 2010 Radik Usupov <radik@altlinux.org> 0.1-alt6
- lxterminal -> termit

* Sun Dec 05 2010 Radik Usupov <radik@altlinux.org> 0.1-alt5
- Fix libfm.conf (closes: 24595)
- termit -> lxterminal

* Sun Dec 05 2010 Radik Usupov <radik@altlinux.org> 0.1-alt4
- termit -> lxterminal
- Change menu icons

* Wed Dec 01 2010 Radik Usupov <radik@altlinux.org> 0.1-alt3
- Decrease font size
- Added settings for libfm

* Tue Nov 30 2010 Radik Usupov <radik@altlinux.org> 0.1-alt2
- Change panel and desktop configs

* Thu Nov 18 2010 Radik Usupov <radik@altlinux.org> 0.1-alt1
- Initial build

